Name: gnome-build
Summary: GNOME Build Framework
Version: 0.1.3
Release: 11%{?dist}
License: GPL
Group: Development/Libraries
Source: http://ftp.gnome.org/pub/GNOME/sources/gnome-build/0.1/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: http://www.gnome.org/projects/devtools/gnomebuild.shtml
BuildRequires: anjuta-gdl-devel, libgnomeui-devel, intltool, libtool, gettext
Provides: perl(GBF::Make)

%description
This is the GNOME Build Framework (GBF).

%package devel
Summary: Libraries and include files for Gnome Build Framework
Group: Development/Libraries
Requires: %{name} = %{version}-%{release} pkgconfig

%description devel 
Libraries and header files if you want to make use of the GNOME debug framework
in your own programs.

%prep
%setup -q
find . -name '*.[ch]' | xargs chmod 644
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
  sed -e '/perl(Make)/d' \
      -e '/perl(Make::Target)/d' \
      -e '/perl(Make::Rule::Vars)/d' \
      -e '/perl(Make::Rule)/d'
EOF

%define __perl_provides %{_builddir}/%{name}-%{version}/%{name}-prov
chmod +x %{__perl_provides}

cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(Make)/d' \
      -e '/perl(Make::Target)/d' \
      -e '/perl(Make::Rule::Vars)/d' \
      -e '/perl(Make::Rule)/d'
EOF

%define __perl_requires %{_builddir}/%{name}-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build
%configure --disable-static
make LIBTOOL=%{_prefix}/bin/libtool 
# smp_mflags omitted as it breaks the build (race condition)

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
find %{buildroot} -type f -name "*.a" -exec rm -f {} ';'
%find_lang gbf-1

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f gbf-1.lang
%doc AUTHORS COPYING NEWS README
%defattr (-, root, root)
%{_bindir}/gbf*
%{_libdir}/libgbf-1.so.*
%{_libdir}/libgbf-widgets-1.so.*
%{_libdir}/%{name}-1.0/
%{_datadir}/%{name}/
%{_datadir}/pixmaps/gbf*png

%files devel
%defattr (-, root, root)
%{_includedir}/gnome-build-1.0/
%{_libdir}/pkgconfig/gnome-build-1.0.pc
%{_libdir}/libgbf-1.so
%{_libdir}/libgbf-widgets-1.so

%changelog
* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.1.3-11
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 19 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.1.3-10
- rebuild

* Tue Aug 15 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.1.3-9
- Added provides perl(gbf-make)

* Mon Aug 14 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.1.3-8
- Changed URL
- Added pkgconfig to the R on devel
- removed cp from install
- added comment for missing smp_mflags

* Tue Aug 01 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.1.3-7
- Fixed source0

* Sat Jul 29 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.1.3-6
- spec file cleans
- possible 64 bit -fPIC solution

* Mon Jul 10 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.1.3-5
- Various spec file fixes (thanks to Paul Howard)
- removal of perl material

* Sat Jul 08 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.1.3-3
- Various rpmlint fixes

* Mon Jul 05 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.1.3-2
- Added BR perl(XML::Parser)
- Fixed illegal directory ownerships
- Multiple spec file fixes

* Tue May 23 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.1.3-1
- bump to 0.1.3
- added --disable-static to configure

* Mon Apr 03 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.1.2-2
- Added smp_mflags to make

* Tue Feb 21 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.1.2-1
- Initial import to FC structure

* Wed Aug 8 2001 Jens Finke <jens@gnome.org> 
- created spec file
